PEARL Procedures rev-distro-1.6.0-0-gcf1399e-dirty Igor procedures for the analysis of PEARL data

- Main Page
- Related Pages
- Packages
- Namespaces
- Files

- File List
- Globals

Functions
pearl-vector-operations.ipf File Reference

Go to the source code of this file.

## Functions
variable | rotate2d_x (variable xx, variable yy, variable angle)
variable | rotate2d_y (variable xx, variable yy, variable angle)
wave | create_rotation_matrix_free ()
wave | set_rotation_x (wave matrix, variable angle)
wave | set_rotation_y (wave matrix, variable angle)
wave | set_rotation_z (wave matrix, variable angle)
variable | rotate_x_wave (wave inout, variable angle)
variable | rotate_y_wave (wave inout, variable angle)
variable | rotate_z_wave (wave inout, variable angle)

## Function Documentation

wave create_rotation_matrix_free | ( |  | ) |

Definition at line 26 of file pearl-vector-operations.ipf.

variable rotate2d_x | ( | variable | xx,
|  | variable | yy,
|  | variable | angle
| ) |  |

Definition at line 10 of file pearl-vector-operations.ipf.

variable rotate2d_y | ( | variable | xx,
|  | variable | yy,
|  | variable | angle
| ) |  |

Definition at line 18 of file pearl-vector-operations.ipf.

variable rotate_x_wave | ( | wave | inout,
|  | variable | angle
| ) |  |

Definition at line 83 of file pearl-vector-operations.ipf.

variable rotate_y_wave | ( | wave | inout,
|  | variable | angle
| ) |  |

Definition at line 101 of file pearl-vector-operations.ipf.

variable rotate_z_wave | ( | wave | inout,
|  | variable | angle
| ) |  |

Definition at line 119 of file pearl-vector-operations.ipf.

wave set_rotation_x | ( | wave | matrix,
|  | variable | angle
| ) |  |

Definition at line 35 of file pearl-vector-operations.ipf.

wave set_rotation_y | ( | wave | matrix,
|  | variable | angle
| ) |  |

Definition at line 51 of file pearl-vector-operations.ipf.

wave set_rotation_z | ( | wave | matrix,
|  | variable | angle
| ) |  |

Definition at line 67 of file pearl-vector-operations.ipf.